%define name bsdftpd-6.0-ssl
%define version 0.6.3

Name: %{name}
Version: %{version}
Release: 1
Summary: Secure FTP daemon for FreeBSD and Linux.
Copyright: BSD
Group: System Environment/Daemons
Url: http://bsdftpd-ssl.sc.ru/
Prefix: %{_prefix}

Source0: %{name}-%{version}.tar.bz2
Source1: bsdftpd.xinetd
Patch : bsdftpd-6.0-ssl-0.6.3-megaloman.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: openssl-devel
BuildRequires: libtermcap-devel
BuildRequires: krb5-devel
BuildRequires: byacc

%description
Bsdftpd-ssl is an RFC2228 "FTP Security Extensions"-compliant FTP server. It
is based on FreeBSD ftpd, so it seems to be a stable and secure solution for
authorized user access. It is also supports TLS/SSL for both control and
data connections. This feature requires special clients that are also
available. Both server and clients are fully compatible with standard FTP
protocol (for example, FTP server can support TLS/SSL and standard clients
simultaneously).

%package -n bsdftpclient-ssl
Summary: Secure FTP client for FreeBSD and Linux.
Group: Applications/Internet

%description -n bsdftpclient-ssl
Bsdftpclient-ssl is an FTP client. It is based on FreeBSD ftp utility,
so it seems to be a stable and secure solution for authorized user access.
It is also supports TLS/SSL for both control and data connections.
This feature requires special servers that are also available. Both server
and clients are fully compatible with standard FTP protocol (for example,
FTP server can support TLS/SSL and standard clients simultaneously).

%prep
%setup -n bsdftpd-6.0-ssl-%{version}
%patch -p1

%build
./config.sh Linux
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -I/usr/kerberos/include"
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
make INSTALLTOP="$RPM_BUILD_ROOT%{_prefix}" install
%{__mv} $RPM_BUILD_ROOT%{_prefix}/man/man? $RPM_BUILD_ROOT%{_mandir}
%{__install} -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/xinetd.d/bsdftpd

# remove unpackaged files rpm build root
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README cert docs
%attr(0555,root,root) %{_sbindir}/ftpd
%{_mandir}/man8/ftpd.8*
%config(noreplace) /etc/xinetd.d/bsdftpd

%files -n bsdftpclient-ssl
%attr(0555,root,root) %{_bindir}/ftps
%{_mandir}/man1/ftps.1.gz
%{_mandir}/man3/ftps-editline.3*
%{_mandir}/man5/ftps-editrc.5*

%changelog
* Fri Oct 24 2003 Peter Hanecak <hanecak@megaloman.sk> 0.6.3-1
- update to 0.6.3
- added -I/usr/kerberos/include to CFLAGS

* Mon Jul 29 2002 Peter Hanecak <hanecak@megaloman.sk>
[0.5.4-1]
- initial spec
